import path_setting
from in_common.base_request import BaseRequest


class visual_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.VISUAL_CONFIG)

    # 签到--其他tab 美购feed
    def service_list(self, unit_id, current_city_id='beijing'):
        self.params["unit_id"] = unit_id
        self.params["current_city_id"] = current_city_id
        return self.api_send(self.data['service_list'])